/**Begin C:\PDM_UPGRADE\PDM1\PUR_table.sql **/
EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY_A', 'FASSTQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY_A', 'FLOCAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY_A', 'FLOCTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY_A', 'FLOCTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY_A', 'FSUMRECEIPTQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY_A', 'FSUMINSTOCKQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY_A', 'FSUMCHECKQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY_A', 'FSUMCHECKAMT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCK', 'FEXCHRATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '1';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCK', 'FSUMAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCK', 'FSUMTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCK', 'FSUMTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCK', 'FSUMQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDER', 'FEXCHRATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '1';

EXEC p_AlterColumn 'T_PUR_ORDER', 'FSUMAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDER', 'FSUMTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDER', 'FSUMTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDER', 'FSUMQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDER', 'FPREPAYRATE', 'DECIMAL(23,6)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDER', 'FSUMPREPAYAMT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDER', 'FSUMPAYABLEAMT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDER', 'FSUMINVOICEAMT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDER', 'FSUMPAYAMT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY', 'FQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY', 'FDCTRATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY', 'FDCTAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY', 'FAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY', 'FTAXRATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY', 'FTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY', 'FTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY', 'FQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY', 'FDCTRATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY', 'FDCTAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY', 'FAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY', 'FTAXRATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY', 'FTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY', 'FTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_SALOUTSTOCKENTRY', 'FREJECTQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDER_A', 'FSUMSETTLEAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDER_A', 'FSUMSALOUTAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDER_A', 'FSUMDIFFAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FASSTQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FLOCAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FLOCTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FLOCTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FSUMRECEIVEQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FSUMOUTSTOCKQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FSUMRECEIPTQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FSUMINSTOCKQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FSUMRETURNREQQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FSUMRETURNQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FSUMRECRETQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FSUMINSTOCKRETQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FVMISTOCKQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FPAYABLEQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FPAYABLEAMT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FPREPAYAMT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FPAYPREPAYAMT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FPAYAMT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FLOCKPREPAYAMT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

EXEC p_AlterColumn 'T_PUR_ORDERENTRY_A', 'FSUMREJQTY', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';


/**End C:\PDM_UPGRADE\PDM1\PUR_table.sql **/
